### Constructor

# Vips Image new_matrixv

#### Declaration [src]

    VipsImage*
    vips_image_new_matrixv (
      int width,
      int height,
      ...
    )

#### Description [src]

As `vips_image_new_matrix()`, but initialise the matrix from the argument list. After `height` should be `width` * `height` double constants which are used to set the matrix elements.

See also

`vips_image_new_matrix()`.

This constructor is not directly available to language bindings.

#### Parameters

`width`

  Type: `int`

  Image width.

`height`

  Type: `int`

  Image height.

`...`

  Type: ``

  Matrix coefficients.

#### Return value

Type: `VipsImage`

The new `VipsImage`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.